Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Jan 30 2019 20:39
    syedahaider97 commented #239
  • Jan 30 2019 13:19
    adhithyasrinivasan opened #343
  • Jan 30 2019 12:22
    martin770 closed #267
  • Jan 28 2019 15:04
    mihaivarga commented #303
  • Jan 28 2019 14:56
    virgile-hogman commented #303
  • Jan 22 2019 06:45
    mihaivarga commented #303
  • Jan 21 2019 13:13
    virgile-hogman commented #303
  • Jan 18 2019 23:16
    nkvp commented #342
  • Jan 18 2019 23:16
    googlebot labeled #342
  • Jan 18 2019 23:16
    googlebot unlabeled #342
  • Jan 18 2019 23:16
    googlebot commented #342
  • Jan 18 2019 23:16
    googlebot commented #342
  • Jan 18 2019 23:16
    nkvp commented #342
  • Jan 18 2019 23:11
    googlebot labeled #342
  • Jan 18 2019 23:11
    googlebot commented #342
  • Jan 18 2019 23:11
    nkvp opened #342
  • Jan 18 2019 22:50
    nkvp commented #87
  • Jan 15 2019 17:16
    mihaivarga commented #303
  • Jan 14 2019 19:41
    virgile-hogman commented #303
  • Jan 07 2019 12:35
    virgile-hogman commented #307
ajay
@ajay312
@nkaarthik npm i webdriver-manager@latest
nkaarthik
@nkaarthik
thank you so much @ajay312
Rahul
@Rahul75385104_twitter
Hello Guys, I need your help. When I am executing protractor conf.js command to execute test cases, I am getting error [11:39:23] I/hosted - Using the selenium server at http://localhost:4444/wd/hub
[11:39:34] E/driverProvider - Error code: 135
[11:39:34] E/driverProvider - Error message: session not created: This version of ChromeDriver only supports Chrome version 78
[11:39:34] E/driverProvider - Error: session not created: This version of ChromeDriver only supports Chrome version 78 @cnishina
Sri Harsha
@harsha509
hi @Rahul75385104_twitter what is the chrome version you're using
Rahul
@Rahul75385104_twitter
Chrome Version 78.0.3904.70 (Official Build) beta (64-bit)
@Harsha509 @cnishina "webdriver-manager": "^12.1.7" , "protractor": "^5.4.2",
image.png
Sri Harsha
@harsha509
Then it should not be an issue actually. Are you doing any webdriver-manager start ?
Rahul
@Rahul75385104_twitter
@Harsha509 Yes
Sri Harsha
@harsha509
if yes can you provide screenshot of it. i would like to know if webdriver-manager is picking up chrome driver correctly
Rahul
@Rahul75385104_twitter
@Harsha509 Sure, I will share the screenshot
Rahul
@Rahul75385104_twitter

Hi guys, I am getting below error when I am executing webdriver-manager update

internal/modules/cjs/loader.js:638
throw err;
^

Error: Cannot find module 'C:\Users\Rahul Sharma\AppData\Roaming\npm\node_modules\webdriver-manager\bin\webdriver-manager'
at Function.Module._resolveFilename (internal/modules/cjs/loader.js:636:15)
at Function.Module._load (internal/modules/cjs/loader.js:562:25)
at Function.Module.runMain (internal/modules/cjs/loader.js:829:12)
at startup (internal/bootstrap/node.js:283:19)
at bootstrapNodeJSCore (internal/bootstrap/node.js:622:3)

Could anyone please help me out to solve this issue.

Sai Pradeep
@saipradeepcs

When I start webdriver-manager start, I get
Error: unable to get local issuer certificate
at TLSSocket.onConnectSecure (_tls_wrap.js:1321:34)
at TLSSocket.emit (events.js:210:5)
at TLSSocket._finishInit (_tls_wrap.js:794:8)
at TLSWrap.ssl.onhandshakedone (_tls_wrap.js:608:12) {
code: 'UNABLE_TO_GET_ISSUER_CERT_LOCALLY'
}

I've tried webdriver-manager start --ignore_ssl as well but no luck
Also, I have not installed webdriver-manager externally, I'm using webdriver-manager which is part of globally installed protractor's node_modules.

Any help/ advice will be greatly appreciated

Sanket
@sanketk07_gitlab
Hi all, this is with regards to protractor e2e testing. I'm using webdriver-manager 12.1.7 which pulls in the latest chromeDriver version. However, chromeDriver 79 was released yesterday and webdriver-manager 12.1.7 still pulls in 78. Is there an ETA when the support for the latest chromeDriver (version 79) will be out? Thanks!
Rahul sharma
@Rahulsh76144034_twitter
Hello all, Could anyone please tell me about how to integrate protractor-cucumber framework with Amazon S3 to store and fetch the e2e test data. Did anyone tried it before?
tomchin23
@tomchin23

Hello, I am trying to get protractor and webdriver-manager up and running. After some researching, I was successfully able to dl by using webdriver-update --proxy=http://(yourProxyHere) --ignore_ssl. The issue I am now facing is that I cannot start webdriver-manager.

webdriver-manager start --proxy=http://[proxy] --ignore_ssl

I get the following error:
Error: connect ETIMEDOUT

Does anyone have any suggestion?
ibenjelloun
@ibenjelloun
Hi, I'm facing an issue with the webdriver-manager update, I keep getting the 75.0.3770.140 version.
Can anyone explain from where the webdriver-manager gets this version ?
gmoussayan
@gmoussayan

@ibenjelloun Which Chrome version do you have on your side? - if you have the 75 Chrome version, then you're good to go...if you have the latest Chrome version (version 80), then you can run
webdriver-manager clean before running back after the webdriver-manager update then your ChromeDriver will be updated to the latest (version 80).

but be aware that the new Chrome has some minor issue (which i guess wont affect your test, but will throw some logs: https://stackoverflow.com/questions/60114639/timed-out-receiving-message-from-renderer-0-100-log-messages-using-chromedriver

ibenjelloun
@ibenjelloun
@gmoussayan Thank you for your answer, I have the 80 version. I already cleaned, many times tryied to update also by specifying the version using --versions.chrome. Still getting the 75 version. I don't understand why.
ibenjelloun
@ibenjelloun
Running webdriver-manager update latest made the trick for me. Thanks for your help.
gmoussayan
@gmoussayan
no prob. thanks for the update. ((Sometimes deleting the node modules package and reinstalling it will help too...))
Courgette Testing
@CourgetteTests_twitter
i'm doing webdriver-manager start (using version 12) and it seems to curling the xml files. Is there anyway to stop it doing that? I've already done webdriver-manager update at the build phase so have the latest files
Sheenakaipacheri
@Sheenakaipacheri
Hi
am facing an issue , while webdriver-manager update, it is always starts with locally installed versions 12.1.4 , installed 12.1.7 already. but still the same error.
how can i make locally and globally same version ?
chrome driver version is 80,
google chrome is 80
du to this issue session is not getting created.
Md Shahriar Kabir
@shahriar
google chrome version 81.0 I'm facing same issue
Rahul sharma
@Rahulsh76144034_twitter
Hello all, Could anyone help me to resolve the error "E/launcher - Error: TypeError: input must be a string" which i am getting when running protractorconfig file.
lidori
@lidori
I got "session not created: this version of chromedriver only supports chrome version 85" when I ran ng e2e and it took me a long time to find a workaround, so I wanted to share it. When it happened before I just updated the Chrome browser to the latest version (from Help > About Google Chrome). But this time I had browser on 84 and driver on 85, and 84 is the stable version. The workaround was to go to /node_modules/protractor/node_modules/webdriver-manager/selenium under my project and change the latest driver (and the zip) to the previous one (the previous one was in the same folder) but with the name of the new one. To do that I put chromedriver_85.0.4183.38 and its zip in a backup folder (just to have backup, I didn't use them anymore) and chromedriver_84.0.4147.30 and its zip in a different backup folder. In the second backup folder I renamed chromedriver_84.0.4147.30 and its zip to chromedriver_85.0.4183.38 and chromedriver_85.0.4183.38.zip and replaced the original 85 in /node_modules/protractor/node_modules/webdriver-manager/selenium with these dummy files. The problem was that the latest driver is getting downloaded every time I run the e2e tests. To prevent that need to add --webdriverUpdate=false when running e2e (for me it was in a script in the package.json, so I updated the command there). I hope that solution will help others
piyugit
@piyugit
Facing issue with chrome version of 85 with WDManager
sergiuchuckmisha
@sergiuchuckmisha
Hello
I'm trying to just run some test with webdriver-manager and jest
could somebody point workable boilerplate code?
canvaspixels
@canvaspixels
Doesn't have just but take a look at courgette courgette-testing.com
Ansuman92
@Ansuman92
Hello Guys,
I'm getting an error 'ERROR @wdio/runner: Error: Failed to create session. session not created: This version of ChromeDriver only supports Chrome version 83' while running a script in WebdriverIO V6 with Cucumber framework though I'm running in chrome browser (85.0.4183.83) locally and my chromedriver configuration in package.json file is "chromedriver": "^85.0.0".

The only concern here is even If I keep my chromedriver version 85.exe file in my node_modules->.selenium-> chromedriver then It's throwing a same error while running a script.

Is there any workaround to fix this issue?

faguilera85
@faguilera85
Hello
David Tran
@iso13

Chrome Version 88.0.4324.96 / webdriver-manager 12.1.7

Any insight on the issue?

Driver info: driver.version: unknown
at Object.checkLegacyResponse (/Users/davidtran/Work/evisort-e2e/node_modules/selenium-webdriver/lib/error.js:546:15)
at parseHttpResponse (/Users/davidtran/Work/evisort-e2e/node_modules/selenium-webdriver/lib/http.js:509:13)
at /Users/davidtran/Work/evisort-e2e/node_modules/selenium-webdriver/lib/http.js:441:30
at processTicksAndRejections (internal/process/task_queues.js:97:5)
[13:02:53] E/launcher - Process exited with error code 100

Craig Nishina
@cnishina
I can't tell by just a stack trace. Maybe give more info
bboycs
@bboycs
Hi, i am using webdriver-manager@13.0.0 and having issue when performing webdrivers update
Processing downloading of microsoft edge driver from "https://msedgedriver.azureedge.net/88.0.705.53/edgedriver_win64.zip"
Tempory disable due to VM not able to download
curl -o E:\Path\a\b\c\f\e\g\h\e2e\e2elib\node_modules\webdriver-manager\downloads\chromedriver_win32.zip https://chromedriver.storage.googleapis.com/88.0.4324.96/chromedriver_win32.zip
curl -o E:\Path\a\b\c\f\e\g\h\e2e\e2elib\node_modules\webdriver-manager\downloads\geckodriver-v0.29.0-win64.zip https://github.com/mozilla/geckodriver/releases/download/v0.29.0/geckodriver-v0.29.0-win64.zip
curl -o E:\Path\a\b\c\f\e\g\h\e2e\e2elib\node_modules\webdriver-manager\downloads\selenium-server-standalone-3.141.59.jar https://selenium-release.storage.googleapis.com/3.141/selenium-server-standalone-3.141.59.jar
(node:7712) UnhandledPromiseRejectionWarning: Error: ESOCKETTIMEDOUT
at ClientRequest.<anonymous> (E:\Path\a\b\c\f\e\g\h\e2e\e2elib\node_modules\request\request.js:816:19)
at Object.onceWrapper (events.js:286:20)
at ClientRequest.emit (events.js:198:13)
at TLSSocket.emitRequestTimeout (_http_client.js:662:40)
at Object.onceWrapper (events.js:286:20)
at TLSSocket.emit (events.js:198:13)
at TLSSocket.Socket._onTimeout (net.js:442:8)
at ontimeout (timers.js:436:11)
at tryOnTimeout (timers.js:300:5)
at listOnTimeout (timers.js:263:5)
(node:7712) UnhandledPromiseRejectionWarning: Unhandled promise rejection. This error originated either by throwing inside of an async function without a catch block, or by rejecting a promise which was not handled with .catch(). (rejection id: 1)
(node:7712) [DEP0018] DeprecationWarning: Unhandled promise rejections are deprecated. In the future, promise rejections that are not handled will terminate the Node.js process with a non-zero exit code.
Exiting...
bboycs
@bboycs
image.png
if i comment the headers then it works
manognav04
@manognav04

Hello, does any have issues with current version of chrome 90.0? Running webdriver-manager update has installed 90.0. While running my test scripts using protractor+cucumber frameworks seeing below error

E/launcher - Error while running testForAngular: disconnected: not connected to DevTools (Session info: chrome=90.0.4430.72)

can someone help me with the issue
manognav04
@manognav04
hello, could someone please help me with the above issue?